Package org.apache.torque.util

## Interface TorqueConnection

- All Superinterfaces:
    `AutoCloseable`, `Connection`, `Wrapper`
  All Known Implementing Classes:
    `TorqueConnectionImpl`

      public interface TorqueConnection
      extends Connection

  Torque's extension to the JDBC connection
  Author:
    Thomas Vandahl

- - ### Field Summary

    - ### Fields inherited from interface java.sql.Connection

      `TRANSACTION_NONE, TRANSACTION_READ_COMMITTED, TRANSACTION_READ_UNCOMMITTED, TRANSACTION_REPEATABLE_READ, TRANSACTION_SERIALIZABLE`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `close()` |
    `boolean` | `isCommitted()` | Has Transaction.commit() been called successfully on this connection?
    `boolean` | `isRolledBack()` | Has Transaction.rollback() been called successfully on this connection?
    `void` | `setCommitted​(boolean committed)` | Called by TransactionManagerImpl.commit() to track state
    `void` | `setRolledBack​(boolean rolledBack)` | Called by TransactionManagerImpl.rollback() to track state

    - ### Methods inherited from interface java.sql.Connection

      `abort, beginRequest, clearWarnings, commit, createArrayOf, createBlob, createClob, createNClob, createSQLXML, createStatement, createStatement, createStatement, createStruct, endRequest, getAutoCommit, getCatalog, getClientInfo, getClientInfo, getHoldability, getMetaData, getNetworkTimeout, getSchema, getTransactionIsolation, getTypeMap, getWarnings, isClosed, isReadOnly, isValid, nativeSQL, prepareCall, prepareCall, prepareCall, prepareStatement, prepareStatement, prepareStatement, prepareStatement, prepareStatement, prepareStatement, releaseSavepoint, rollback, rollback, setAutoCommit, setCatalog, setClientInfo, setClientInfo, setHoldability, setNetworkTimeout, setReadOnly, setSavepoint, setSavepoint, setSchema, setShardingKey, setShardingKey, setShardingKeyIfValid, setShardingKeyIfValid, setTransactionIsolation, setTypeMap`

    - ### Methods inherited from interface java.sql.Wrapper

      `isWrapperFor, unwrap`

- - ### Method Detail

    - #### close

          void close()
              throws TorqueException

      Specified by:
        `close` in interface `AutoCloseable`
      Specified by:
        `close` in interface `Connection`
      Throws:
        `TorqueException`

    - #### setCommitted

          void setCommitted​(boolean committed)

      Called by TransactionManagerImpl.commit() to track state
      Parameters:
        `committed` - the committed state to set

    - #### isCommitted

          boolean isCommitted()

      Has Transaction.commit() been called successfully on this connection?
      Returns:
        true, if Transaction.commit() has been called.

    - #### setRolledBack

          void setRolledBack​(boolean rolledBack)

      Called by TransactionManagerImpl.rollback() to track state
      Parameters:
        `rolledBack` - the rolledBack state to set

    - #### isRolledBack

          boolean isRolledBack()

      Has Transaction.rollback() been called successfully on this connection?
      Returns:
        true, if Transaction.rollback() has been called.